<%
	'Please put this file to your C:\wwwroot folder to try, if you wish change wwwroot to
	'other folders, you need change the "Queue_filename" value in the C:\windows\system32\doc2pdf_config.ini 
	'file also.
	
	dim wwwRootFolder
       	wwwRootFolder = server.mappath(".") & "\"
       	
        'The "Queue_filename" value must same as the "Queue_filename" value in the doc2pdf_config.ini file
        '"doc2pdf_queue.txt", "doc2pdf_finished.txt" and "doc2pdf.ini" must be placed same folder
	Queue_filename = wwwRootFolder & "doc2pdf_queue.txt"
	Finished_filename = wwwRootFolder & "doc2pdf_finished.txt"
	Config_filename = wwwRootFolder & "doc2pdf.ini"
	
	'Input document filename
	InputDocFilename = "http://www.yahoo.com"
	'InputDocFilename = "c:\sample.doc"
	'Output pdf filename
	OutPDFFilename = "C:\yahoo.pdf"
	
	'Time stamp
	systemTime = "Time:" &now
	
	'Construct the command line, this command line will be inserted into the "C:\wwwroot\doc2pdf_queue.txt" 
        'file, then the "doc2pdf_service" process will auto do the conversion.
	Doc2PDF_CommandLine = """" + InputDocFilename + """"
	Doc2PDF_CommandLine = Doc2PDF_CommandLine + " "
	Doc2PDF_CommandLine = Doc2PDF_CommandLine + """" + OutPDFFilename + """"
	Doc2PDF_CommandLine = Doc2PDF_CommandLine + " "
	Doc2PDF_CommandLine = Doc2PDF_CommandLine + systemTime
	
	'Write the paper header and paper footer into the config file
	set sysobj = server.createobject("sysFun.Object")
	sysobj.SaveString "header", "header header 123", Config_filename
	sysobj.SaveString "footer", "footer footer 456", Config_filename
	
	'Write the input and output filenames into the file queue, the conversion will start soon
	Set fs = CreateObject("Scripting.FileSystemObject")
	ForAppending = 8
	if fs.FileExists(Queue_filename) then
		Set ss = fs.OpenTextFile(Queue_filename,ForAppending,true)
	else
		set ss = fs.CreateTextFile(Queue_filename,ForWriting,false)
	end if
	
	'Write this command line into the Queue_filename file
	ss.WriteLine(Doc2PDF_CommandLine)
	ss.Close
	
	'Wait, until the conversion finished, the timeout is 10 minutes
	if sysobj.FileProcessFinisted(Finished_filename, Doc2PDF_CommandLine, 10) = "true" then
		Response.write "Convert Success!"
	else
		Response.write "Convert Failed!"
	end if

	'After a few seconds, the "C:\yahoo.pdf" file will be created.
	
	set sysobj = nothing
%>
